#
# spec file for package tk (Version 4.2p2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         tk
Release:      14
Copyright:    The Regents of the University of California. 1994-95 Sun Microsystems, Inc.
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      4.2p2
Summary:      TK toolkit for TCL
Source: tk4.2p2.tar.gz
Source1: tcl7.6p2.tar.gz
Patch: tk4.2.dif
Patch1: tcl7.6.dif
%description
Tk is an extension to Tcl that allows you to quickly and easily build
X11 applications that have the look and feel of Motif apps.
The TK-Shell is /usr/X11R6/bin/wish4.2
These applications might as well be run on Windows 95/NT as well as
on apple.
Demo: /usr/X11R6/lib/tk4.2/demo/widget

Authors:
--------
    John Ousterhout <john.ousterhout@eng.sun.com>

%prep
%setup -n tk4.2 -b 1
%patch
cd ../tcl7.6
%patch -P 1
cd ../tk4.2
%build
cd ../tcl7.6
make -f Makefile.Linux compile
cd ../tk4.2
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/X11R6/lib/tk4.2
%dir /usr/X11R6/lib/tk4.2/demos
%dir /usr/X11R6/lib/tk4.2/demos/images
%dir /usr/doc/packages/tk
/usr/X11R6/bin/wish
/usr/X11R6/bin/wish4.2
/usr/X11R6/include/tk.h
/usr/X11R6/lib/libtk4.2.a
/usr/X11R6/lib/libtk4.2.so
/usr/X11R6/lib/tk4.2/bgerror.tcl
/usr/X11R6/lib/tk4.2/button.tcl
/usr/X11R6/lib/tk4.2/clrpick.tcl
/usr/X11R6/lib/tk4.2/comdlg.tcl
/usr/X11R6/lib/tk4.2/console.tcl
/usr/X11R6/lib/tk4.2/demos/README
/usr/X11R6/lib/tk4.2/demos/arrow.tcl
/usr/X11R6/lib/tk4.2/demos/bind.tcl
/usr/X11R6/lib/tk4.2/demos/bitmap.tcl
/usr/X11R6/lib/tk4.2/demos/browse
/usr/X11R6/lib/tk4.2/demos/button.tcl
/usr/X11R6/lib/tk4.2/demos/check.tcl
/usr/X11R6/lib/tk4.2/demos/clrpick.tcl
/usr/X11R6/lib/tk4.2/demos/colors.tcl
/usr/X11R6/lib/tk4.2/demos/cscroll.tcl
/usr/X11R6/lib/tk4.2/demos/ctext.tcl
/usr/X11R6/lib/tk4.2/demos/dialog1.tcl
/usr/X11R6/lib/tk4.2/demos/dialog2.tcl
/usr/X11R6/lib/tk4.2/demos/entry1.tcl
/usr/X11R6/lib/tk4.2/demos/entry2.tcl
/usr/X11R6/lib/tk4.2/demos/filebox.tcl
/usr/X11R6/lib/tk4.2/demos/floor.tcl
/usr/X11R6/lib/tk4.2/demos/form.tcl
/usr/X11R6/lib/tk4.2/demos/hello
/usr/X11R6/lib/tk4.2/demos/hscale.tcl
/usr/X11R6/lib/tk4.2/demos/icon.tcl
/usr/X11R6/lib/tk4.2/demos/image1.tcl
/usr/X11R6/lib/tk4.2/demos/image2.tcl
/usr/X11R6/lib/tk4.2/demos/images/earth.gif
/usr/X11R6/lib/tk4.2/demos/images/earthris.gif
/usr/X11R6/lib/tk4.2/demos/images/face.bmp
/usr/X11R6/lib/tk4.2/demos/images/flagdown.bmp
/usr/X11R6/lib/tk4.2/demos/images/flagup.bmp
/usr/X11R6/lib/tk4.2/demos/images/gray25.bmp
/usr/X11R6/lib/tk4.2/demos/images/letters.bmp
/usr/X11R6/lib/tk4.2/demos/images/noletter.bmp
/usr/X11R6/lib/tk4.2/demos/images/pattern.bmp
/usr/X11R6/lib/tk4.2/demos/images/tcllogo.gif
/usr/X11R6/lib/tk4.2/demos/images/teapot.ppm
/usr/X11R6/lib/tk4.2/demos/items.tcl
/usr/X11R6/lib/tk4.2/demos/ixset
/usr/X11R6/lib/tk4.2/demos/label.tcl
/usr/X11R6/lib/tk4.2/demos/license.terms
/usr/X11R6/lib/tk4.2/demos/menu.tcl
/usr/X11R6/lib/tk4.2/demos/msgbox.tcl
/usr/X11R6/lib/tk4.2/demos/plot.tcl
/usr/X11R6/lib/tk4.2/demos/puzzle.tcl
/usr/X11R6/lib/tk4.2/demos/radio.tcl
/usr/X11R6/lib/tk4.2/demos/rmt
/usr/X11R6/lib/tk4.2/demos/rolodex
/usr/X11R6/lib/tk4.2/demos/ruler.tcl
/usr/X11R6/lib/tk4.2/demos/sayings.tcl
/usr/X11R6/lib/tk4.2/demos/search.tcl
/usr/X11R6/lib/tk4.2/demos/square
/usr/X11R6/lib/tk4.2/demos/states.tcl
/usr/X11R6/lib/tk4.2/demos/style.tcl
/usr/X11R6/lib/tk4.2/demos/tclIndex
/usr/X11R6/lib/tk4.2/demos/tcolor
/usr/X11R6/lib/tk4.2/demos/text.tcl
/usr/X11R6/lib/tk4.2/demos/timer
/usr/X11R6/lib/tk4.2/demos/twind.tcl
/usr/X11R6/lib/tk4.2/demos/vscale.tcl
/usr/X11R6/lib/tk4.2/demos/widget
/usr/X11R6/lib/tk4.2/dialog.tcl
/usr/X11R6/lib/tk4.2/entry.tcl
/usr/X11R6/lib/tk4.2/focus.tcl
/usr/X11R6/lib/tk4.2/folder.gif
/usr/X11R6/lib/tk4.2/listbox.tcl
/usr/X11R6/lib/tk4.2/menu.tcl
/usr/X11R6/lib/tk4.2/msgbox.tcl
/usr/X11R6/lib/tk4.2/obsolete.tcl
/usr/X11R6/lib/tk4.2/optMenu.tcl
/usr/X11R6/lib/tk4.2/palette.tcl
/usr/X11R6/lib/tk4.2/prolog.ps
/usr/X11R6/lib/tk4.2/scale.tcl
/usr/X11R6/lib/tk4.2/scrlbar.tcl
/usr/X11R6/lib/tk4.2/tclIndex
/usr/X11R6/lib/tk4.2/tearoff.tcl
/usr/X11R6/lib/tk4.2/text.tcl
/usr/X11R6/lib/tk4.2/textfile.gif
/usr/X11R6/lib/tk4.2/tk.tcl
/usr/X11R6/lib/tk4.2/tkAppInit.c
/usr/X11R6/lib/tk4.2/tkfbox.tcl
/usr/X11R6/lib/tk4.2/updir.xbm
/usr/X11R6/lib/tk4.2/xmfbox.tcl
/usr/X11R6/lib/tkConfig.sh
%doc /usr/X11R6/man/man1/wish.1.gz
%doc /usr/X11R6/man/man3/3DBorder.3.gz
%doc /usr/X11R6/man/man3/BindTable.3.gz
%doc /usr/X11R6/man/man3/CanvPsY.3.gz
%doc /usr/X11R6/man/man3/CanvTkwin.3.gz
%doc /usr/X11R6/man/man3/CanvTxtInfo.3.gz
%doc /usr/X11R6/man/man3/Clipboard.3.gz
%doc /usr/X11R6/man/man3/ClrSelect.3.gz
%doc /usr/X11R6/man/man3/ConfigWidg.3.gz
%doc /usr/X11R6/man/man3/ConfigWind.3.gz
%doc /usr/X11R6/man/man3/CoordToWin.3.gz
%doc /usr/X11R6/man/man3/CrtErrHdlr.3.gz
%doc /usr/X11R6/man/man3/CrtGenHdlr.3.gz
%doc /usr/X11R6/man/man3/CrtImgType.3.gz
%doc /usr/X11R6/man/man3/CrtItemType.3.gz
%doc /usr/X11R6/man/man3/CrtPhImgFmt.3.gz
%doc /usr/X11R6/man/man3/CrtSelHdlr.3.gz
%doc /usr/X11R6/man/man3/CrtWindow.3.gz
%doc /usr/X11R6/man/man3/DeleteImg.3.gz
%doc /usr/X11R6/man/man3/DrawFocHlt.3.gz
%doc /usr/X11R6/man/man3/EventHndlr.3.gz
%doc /usr/X11R6/man/man3/FindPhoto.3.gz
%doc /usr/X11R6/man/man3/FreeXId.3.gz
%doc /usr/X11R6/man/man3/GeomReq.3.gz
%doc /usr/X11R6/man/man3/GetAnchor.3.gz
%doc /usr/X11R6/man/man3/GetBitmap.3.gz
%doc /usr/X11R6/man/man3/GetCapStyl.3.gz
%doc /usr/X11R6/man/man3/GetClrmap.3.gz
%doc /usr/X11R6/man/man3/GetColor.3.gz
%doc /usr/X11R6/man/man3/GetCursor.3.gz
%doc /usr/X11R6/man/man3/GetFontStr.3.gz
%doc /usr/X11R6/man/man3/GetGC.3.gz
%doc /usr/X11R6/man/man3/GetImage.3.gz
%doc /usr/X11R6/man/man3/GetJoinStl.3.gz
%doc /usr/X11R6/man/man3/GetJustify.3.gz
%doc /usr/X11R6/man/man3/GetOption.3.gz
%doc /usr/X11R6/man/man3/GetPixels.3.gz
%doc /usr/X11R6/man/man3/GetPixmap.3.gz
%doc /usr/X11R6/man/man3/GetRelief.3.gz
%doc /usr/X11R6/man/man3/GetRootCrd.3.gz
%doc /usr/X11R6/man/man3/GetScroll.3.gz
%doc /usr/X11R6/man/man3/GetSelect.3.gz
%doc /usr/X11R6/man/man3/GetUid.3.gz
%doc /usr/X11R6/man/man3/GetVRoot.3.gz
%doc /usr/X11R6/man/man3/GetVisual.3.gz
%doc /usr/X11R6/man/man3/HandleEvent.3.gz
%doc /usr/X11R6/man/man3/IdToWindow.3.gz
%doc /usr/X11R6/man/man3/ImgChanged.3.gz
%doc /usr/X11R6/man/man3/InternAtom.3.gz
%doc /usr/X11R6/man/man3/MainLoop.3.gz
%doc /usr/X11R6/man/man3/MainWin.3.gz
%doc /usr/X11R6/man/man3/MaintGeom.3.gz
%doc /usr/X11R6/man/man3/ManageGeom.3.gz
%doc /usr/X11R6/man/man3/MapWindow.3.gz
%doc /usr/X11R6/man/man3/MoveToplev.3.gz
%doc /usr/X11R6/man/man3/Name.3.gz
%doc /usr/X11R6/man/man3/NameOfImg.3.gz
%doc /usr/X11R6/man/man3/OwnSelect.3.gz
%doc /usr/X11R6/man/man3/ParseArgv.3.gz
%doc /usr/X11R6/man/man3/QWinEvent.3.gz
%doc /usr/X11R6/man/man3/Restack.3.gz
%doc /usr/X11R6/man/man3/RestrictEv.3.gz
%doc /usr/X11R6/man/man3/SetAppName.3.gz
%doc /usr/X11R6/man/man3/SetClass.3.gz
%doc /usr/X11R6/man/man3/SetGrid.3.gz
%doc /usr/X11R6/man/man3/SetVisual.3.gz
%doc /usr/X11R6/man/man3/StrictMotif.3.gz
%doc /usr/X11R6/man/man3/Tk_3DBorderColor.3.gz
%doc /usr/X11R6/man/man3/Tk_Attributes.3.gz
%doc /usr/X11R6/man/man3/Tk_BindEvent.3.gz
%doc /usr/X11R6/man/man3/Tk_CanvasDrawableCoords.3.gz
%doc /usr/X11R6/man/man3/Tk_CanvasPsBitmap.3.gz
%doc /usr/X11R6/man/man3/Tk_CanvasTextInfo.3.gz
%doc /usr/X11R6/man/man3/Tk_ChangeWindowAttributes.3.gz
%doc /usr/X11R6/man/man3/Tk_Class.3.gz
%doc /usr/X11R6/man/man3/Tk_ClearSelection.3.gz
%doc /usr/X11R6/man/man3/Tk_ClipboardAppend.3.gz
%doc /usr/X11R6/man/man3/Tk_ConfigureInfo.3.gz
%doc /usr/X11R6/man/man3/Tk_CoordsToWindow.3.gz
%doc /usr/X11R6/man/man3/Tk_CreateErrorHandler.3.gz
%doc /usr/X11R6/man/man3/Tk_CreateEventHandler.3.gz
%doc /usr/X11R6/man/man3/Tk_CreateGenericHandler.3.gz
%doc /usr/X11R6/man/man3/Tk_CreateImageType.3.gz
%doc /usr/X11R6/man/man3/Tk_CreateItemType.3.gz
%doc /usr/X11R6/man/man3/Tk_CreatePhotoImageFormat.3.gz
%doc /usr/X11R6/man/man3/Tk_CreateSelHandler.3.gz
%doc /usr/X11R6/man/man3/Tk_CreateWindow.3.gz
%doc /usr/X11R6/man/man3/Tk_DefineBitmap.3.gz
%doc /usr/X11R6/man/man3/Tk_DeleteImage.3.gz
%doc /usr/X11R6/man/man3/Tk_DrawFocusHighlight.3.gz
%doc /usr/X11R6/man/man3/Tk_FindPhoto.3.gz
%doc /usr/X11R6/man/man3/Tk_FreeColor.3.gz
%doc /usr/X11R6/man/man3/Tk_FreeColormap.3.gz
%doc /usr/X11R6/man/man3/Tk_FreeCursor.3.gz
%doc /usr/X11R6/man/man3/Tk_FreeFontStruct.3.gz
%doc /usr/X11R6/man/man3/Tk_FreeGC.3.gz
%doc /usr/X11R6/man/man3/Tk_FreeImage.3.gz
%doc /usr/X11R6/man/man3/Tk_FreePixmap.3.gz
%doc /usr/X11R6/man/man3/Tk_FreeXId.3.gz
%doc /usr/X11R6/man/man3/Tk_GeometryRequest.3.gz
%doc /usr/X11R6/man/man3/Tk_GetAnchor.3.gz
%doc /usr/X11R6/man/man3/Tk_GetAtomName.3.gz
%doc /usr/X11R6/man/man3/Tk_GetCapStyle.3.gz
%doc /usr/X11R6/man/man3/Tk_GetJoinStyle.3.gz
%doc /usr/X11R6/man/man3/Tk_GetJustify.3.gz
%doc /usr/X11R6/man/man3/Tk_GetOption.3.gz
%doc /usr/X11R6/man/man3/Tk_GetPixels.3.gz
%doc /usr/X11R6/man/man3/Tk_GetRelief.3.gz
%doc /usr/X11R6/man/man3/Tk_GetRootCoords.3.gz
%doc /usr/X11R6/man/man3/Tk_GetScrollInfo.3.gz
%doc /usr/X11R6/man/man3/Tk_GetSelection.3.gz
%doc /usr/X11R6/man/man3/Tk_GetUid.3.gz
%doc /usr/X11R6/man/man3/Tk_GetVRootGeometry.3.gz
%doc /usr/X11R6/man/man3/Tk_GetVisual.3.gz
%doc /usr/X11R6/man/man3/Tk_HandleEvent.3.gz
%doc /usr/X11R6/man/man3/Tk_IdToWindow.3.gz
%doc /usr/X11R6/man/man3/Tk_ImageChanged.3.gz
%doc /usr/X11R6/man/man3/Tk_Init.3.gz
%doc /usr/X11R6/man/man3/Tk_Main.3.gz
%doc /usr/X11R6/man/man3/Tk_MainLoop.3.gz
%doc /usr/X11R6/man/man3/Tk_MainWindow.3.gz
%doc /usr/X11R6/man/man3/Tk_MaintainGeometry.3.gz
%doc /usr/X11R6/man/man3/Tk_ManageGeometry.3.gz
%doc /usr/X11R6/man/man3/Tk_MapWindow.3.gz
%doc /usr/X11R6/man/man3/Tk_MoveToplevelWindow.3.gz
%doc /usr/X11R6/man/man3/Tk_Name.3.gz
%doc /usr/X11R6/man/man3/Tk_NameOfImage.3.gz
%doc /usr/X11R6/man/man3/Tk_OwnSelection.3.gz
%doc /usr/X11R6/man/man3/Tk_ParseArgv.3.gz
%doc /usr/X11R6/man/man3/Tk_QueueWindowEvent.3.gz
%doc /usr/X11R6/man/man3/Tk_RestackWindow.3.gz
%doc /usr/X11R6/man/man3/Tk_RestrictEvents.3.gz
%doc /usr/X11R6/man/man3/Tk_SetAppName.3.gz
%doc /usr/X11R6/man/man3/Tk_SetGrid.3.gz
%doc /usr/X11R6/man/man3/Tk_SetWindowVisual.3.gz
%doc /usr/X11R6/man/man3/Tk_StrictMotif.3.gz
%doc /usr/X11R6/man/man3/WindowId.3.gz
%doc /usr/X11R6/man/mann/bell.n.gz
%doc /usr/X11R6/man/mann/bind.n.gz
%doc /usr/X11R6/man/mann/bindtags.n.gz
%doc /usr/X11R6/man/mann/bitmap.n.gz
%doc /usr/X11R6/man/mann/button.n.gz
%doc /usr/X11R6/man/mann/canvas.n.gz
%doc /usr/X11R6/man/mann/checkbutton.n.gz
%doc /usr/X11R6/man/mann/chooseColor.n.gz
%doc /usr/X11R6/man/mann/clipboard.n.gz
%doc /usr/X11R6/man/mann/destroy.n.gz
%doc /usr/X11R6/man/mann/dialog.n.gz
%doc /usr/X11R6/man/mann/entry.n.gz
%doc /usr/X11R6/man/mann/event.n.gz
%doc /usr/X11R6/man/mann/focus.n.gz
%doc /usr/X11R6/man/mann/focusNext.n.gz
%doc /usr/X11R6/man/mann/frame.n.gz
%doc /usr/X11R6/man/mann/getOpenFile.n.gz
%doc /usr/X11R6/man/mann/grab.n.gz
%doc /usr/X11R6/man/mann/grid.n.gz
%doc /usr/X11R6/man/mann/image.n.gz
%doc /usr/X11R6/man/mann/label.n.gz
%doc /usr/X11R6/man/mann/listbox.n.gz
%doc /usr/X11R6/man/mann/lower.n.gz
%doc /usr/X11R6/man/mann/menu.n.gz
%doc /usr/X11R6/man/mann/menubar.n.gz
%doc /usr/X11R6/man/mann/menubutton.n.gz
%doc /usr/X11R6/man/mann/message.n.gz
%doc /usr/X11R6/man/mann/messageBox.n.gz
%doc /usr/X11R6/man/mann/option.n.gz
%doc /usr/X11R6/man/mann/optionMenu.n.gz
%doc /usr/X11R6/man/mann/options.n.gz
%doc /usr/X11R6/man/mann/pack-old.n.gz
%doc /usr/X11R6/man/mann/pack.n.gz
%doc /usr/X11R6/man/mann/palette.n.gz
%doc /usr/X11R6/man/mann/photo.n.gz
%doc /usr/X11R6/man/mann/place.n.gz
%doc /usr/X11R6/man/mann/popup.n.gz
%doc /usr/X11R6/man/mann/radiobutton.n.gz
%doc /usr/X11R6/man/mann/raise.n.gz
%doc /usr/X11R6/man/mann/scale.n.gz
%doc /usr/X11R6/man/mann/scrollbar.n.gz
%doc /usr/X11R6/man/mann/selection.n.gz
%doc /usr/X11R6/man/mann/send.n.gz
%doc /usr/X11R6/man/mann/text.n.gz
%doc /usr/X11R6/man/mann/tk.n.gz
%doc /usr/X11R6/man/mann/tk_bindForTraversal.n.gz
%doc /usr/X11R6/man/mann/tk_bisque.n.gz
%doc /usr/X11R6/man/mann/tk_chooseColor.n.gz
%doc /usr/X11R6/man/mann/tk_dialog.n.gz
%doc /usr/X11R6/man/mann/tk_focusFollowsMouse.n.gz
%doc /usr/X11R6/man/mann/tk_focusNext.n.gz
%doc /usr/X11R6/man/mann/tk_focusPrev.n.gz
%doc /usr/X11R6/man/mann/tk_getOpenFile.n.gz
%doc /usr/X11R6/man/mann/tk_messageBox.n.gz
%doc /usr/X11R6/man/mann/tk_optionMenu.n.gz
%doc /usr/X11R6/man/mann/tk_popup.n.gz
%doc /usr/X11R6/man/mann/tkerror.n.gz
%doc /usr/X11R6/man/mann/tkvars.n.gz
%doc /usr/X11R6/man/mann/tkwait.n.gz
%doc /usr/X11R6/man/mann/toplevel.n.gz
%doc /usr/X11R6/man/mann/winfo.n.gz
%doc /usr/X11R6/man/mann/wm.n.gz
%doc /usr/doc/packages/tk/README
%doc /usr/doc/packages/tk/ToDo
%doc /usr/doc/packages/tk/changes
%doc /usr/doc/packages/tk/license.terms
%doc /usr/doc/packages/tk/tk4.0.ps

